ACCT(2)

NAME
acct - turn accounting on or off

SYNOPSIS
acct(file)
char *file;

DESCRIPTION
The system is prepared to write a record in an accounting file for each process as it terminates. This call, with a null-terminated string naming an existing file as argument, turns on accounting; records for each terminating process are appended to file. An argument of 0 causes accounting to be turned off.

The accounting file format is given in acct(5).

This call is permitted only to the super-user.

NOTES
Accounting is automatically disabled when the file system the accounting file resides on runs out of space; it is enabled when space once again becomes available.

RETURN VALUE
On error -1 is returned. The file must exist and the call may be exercised only by the super-user. It is erroneous to try to turn on accounting when it is already on.

ERRORS
Acct will fail if one of the following is true:

[EPERM]
    The caller is not the super-user.

[ENOTDIR]
    A component of the path prefix is not a directory.

[EINVAL]
    The pathname contains a character with the high-order bit set.

[ENAMETOOLONG]
    A component of a pathname exceeded 255 characters, or an entire path name exceeded 1023 characters.

[ENOENT]
    The named file does not exist.

[EACCES]
    Search permission is denied for a component of the path prefix, or the path name is not a regular file.

[ELOOP]
    Too many symbolic links were encountered in translating the pathname.

[EROFS]
    The named file resides on a read-only file system.

[EFAULT]
    File points outside the process's allocated address space.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

SEE ALSO
acct(5), sa(8)

BUGS
No accounting is produced for programs running when a crash occurs. In particular non-terminating programs are never accounted for.